#!/usr/bin/perl -w -I/usr/sausalito/perl

# Author: Phil Ploquin
# Copyright 2000, Cobalt Networks.  All rights reserved.

use strict;
use WebLogParser;

if ($#ARGV < 0)
{
  print STDERR "Usage : $0 <log file>\n";
  exit 0;
}

my $logFileName = $ARGV[0];

# read in the prior state
print "Reading in last values...\n";
WebLogParser::readLastValues;

# copy the log file to be parsed and reset it
print "Preparing log file...\n";
system ("cp $logFileName $logFileName.tmp");
system ("cat /dev/null > $logFileName");

# go ahead and parse the new data
print "Parsing new log file...\n";
WebLogParser::readNewLog("$logFileName.tmp");
unlink("$logFileName.tmp");

# now dump out the meta files
print "Dumping out values...\n";
WebLogParser::dumpMetaFiles;

# sort the files
print "Sorting files...\n";
WebLogParser::sortFiles;

# resolve the IP's
print "Resolving IP's...\n";
WebLogParser::resolveIPs;

print "done.\n";
